/// <reference path="../scripts/typings/jquery/jquery.d.ts" />
/// <reference path="../scripts/typings\angularjs\angular.d.ts" />

import FlugGL = DemoFlug.GL;

// Anngular-Controller erstellen
app.controller('FlugController', function ($scope) {

 // verwendet Geschaeftslogik
 var fm = new FlugGL.FlugManager();

 // Methode, die beim Wechsel der Ort-Auswahl aufgerufen wird
 $scope.GetFluege = function () {
  //

  $scope.Fluege = fm.getAll($scope.Standardort);

 }


 // Werte für Orteliste
 $scope.Orte = DemoFlug.GL.Orte;
 $scope.Standardort = "Essen";
 
 // Watch sorgt dafür, dass bei Änderungen GetFluege() gerufen wird
 $scope.$watch("Standardort", function () {
  $scope.GetFluege();
  //alert("test");
 }
  );

 // Standardausgabe
 //$scope.Fluege = fm.getAll($scope.Standardort);
 //$scope.GetFluege();


});

